| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Static Public Attributes | List of all members
cv::detail::GTypeTraits< cv::GOpaque< T > > Struct Template Reference

`#include <opencv2/gapi/gtype_traits.hpp>`

Collaboration diagram for cv::detail::GTypeTraits< cv::GOpaque< T > >:

## Public Types
using | host_type = T
using | strip_type = cv::detail::OpaqueRef

## Static Public Member Functions
static cv::detail::OpaqueRef | wrap_in (const T &t)
static cv::detail::OpaqueRef | wrap_out (T &t)
static cv::detail::GOpaqueU | wrap_value (const cv::GOpaque< T > &t)

## Static Public Attributes
static constexpr const ArgKind | kind = ArgKind::GOPAQUE
static constexpr const OpaqueKind | op_kind = GOpaqueTraits<T>::kind
static constexpr const GShape | shape = GShape::GOPAQUE

## Member Typedef Documentation

## ◆ host_type

template<class T >

using cv::detail::GTypeTraits< cv::GOpaque< T > >::host_type = T

## ◆ strip_type

template<class T >

using cv::detail::GTypeTraits< cv::GOpaque< T > >::strip_type = cv::detail::OpaqueRef

## Member Function Documentation

## ◆ wrap_in()

template<class T >

static cv::detail::OpaqueRef cv::detail::GTypeTraits< cv::GOpaque< T > >::wrap_in | ( | const T & | t | ) |
| inline static

## ◆ wrap_out()

template<class T >

static cv::detail::OpaqueRef cv::detail::GTypeTraits< cv::GOpaque< T > >::wrap_out | ( | T & | t | ) |
| inline static

## ◆ wrap_value()

template<class T >

static cv::detail::GOpaqueU cv::detail::GTypeTraits< cv::GOpaque< T > >::wrap_value | ( | const cv::GOpaque< T > & | t | ) |
| inline static

## Member Data Documentation

## ◆ kind

template<class T >

const ArgKind cv::detail::GTypeTraits< cv::GOpaque< T > >::kind = ArgKind::GOPAQUE
| static constexpr

## ◆ op_kind

template<class T >

const OpaqueKind cv::detail::GTypeTraits< cv::GOpaque< T > >::op_kind = GOpaqueTraits<T>::kind
| static constexpr

## ◆ shape

template<class T >

const GShape cv::detail::GTypeTraits< cv::GOpaque< T > >::shape = GShape::GOPAQUE
| static constexpr

The documentation for this struct was generated from the following file:

- opencv2/gapi/gtype_traits.hpp